<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script>
        function randomNumero() {
            //creación de variables
            var intentos = 5
            var numeroSecreto = Math.floor(Math.random() * 11)
            var numeroUsuario = confirm("Adivina el numero entre 1 y 10!")
            console.log(numeroSecreto);
            if (numeroUsuario == null) {
                return;
            }
            //inicio del bucle, se ejecutará como mínimo una vez.
            do {
                numeroUsuario = prompt("Te quedan " + intentos)
                intentos--
                //Caso userNum es mayor
                if (numeroSecreto < numeroUsuario) {
                    alert("El número que buscas es más pequeño")
                }
                //caso userNum es menor
                if (numeroSecreto > numeroUsuario) {
                    alert("El número que buscas es más grande")
                }
            } while (numeroUsuario != numeroSecreto && intentos > 0 && numeroUsuario != null)
            //Condición de victoria
            if (numeroUsuario == numeroSecreto) {
                alert("Has acertado! El número era " + numeroSecreto)
            }
            //Condición de derrota
            else alert("Has agotado el numero de intentos :(. El numero secreto era " + numeroSecreto)
        }
        randomNumero();
    </script>
</body>

</html>